using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace vage
{
    class Program
    {
        static void Main(string[] args)
        {
            String[] s = Console.ReadLine().Split(' ');
            int n = Convert.ToInt32(s[0]);
            int m = Convert.ToInt32(s[1]);

            int[,] vage = new int[n, 2];
            int[,] pitanja = new int[m, 3];

            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split(' ');
                vage[i, 0] = Convert.ToInt32(s[0]);
                vage[i, 1] = Convert.ToInt32(s[1]);
            }

            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split(' ');
                pitanja[i, 0] = Convert.ToInt32(s[0]);
                pitanja[i, 1] = Convert.ToInt32(s[1]);
                pitanja[i, 2] = Convert.ToInt32(s[2]);
            }

            int rezultat;

            for (int i = 0; i < m; i++)
            {
                rezultat = 0;
                for (int j = pitanja[i, 0] - 1; j <= pitanja[i, 1] - 1; j++)
                {
                    //manje od prve
                    if (pitanja[i, 2] < vage[j, 0])
                    {
                        rezultat += 0;
                    }
                    //veca od prve, manja od druge
                    else if (pitanja[i, 2] >= vage[j, 0] && pitanja[i, 2] <= vage[j, 1])
                    {
                        rezultat += 1;
                    }
                    //veca od druge
                    else if (pitanja[i, 2] > vage[j, 1])
                    {
                        rezultat += 0;
                    }
                }
                Console.WriteLine(rezultat);
            }
            Console.ReadLine();
        }
    }
}